import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (c, o, i, t) => {
  for (var e = t > 1 ? void 0 : t ? v(o, i) : o, s = c.length - 1, l; s >= 0; s--)
    (l = c[s]) && (e = (t ? l(o, i, e) : l(e)) || e);
  return t && e && m(o, i, e), e;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--microphoneFilled", this.class = "c-pieIcon c-pieIcon--microphoneFilled", this.name = "IconMicrophoneFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--microphoneFilled"><path d="M8.656 12.996V15H7.344v-2.004a5.915 5.915 0 0 1-5.25-5.871h1.312a4.594 4.594 0 0 0 9.188 0h1.312a5.915 5.915 0 0 1-5.25 5.871M4.72 7.125V4.5a3.281 3.281 0 1 1 6.562 0v2.625a3.281 3.281 0 0 1-6.562 0"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  f("icon-microphone-filled")
], r);
export {
  r as IconMicrophoneFilled
};
